=== debian/changelog ===
ros-indigo-urdf-traverser (1.0.2-0trusty) trusty; urgency=high

  * Fixed error in joining fixed links
  * Fixed rotation to z axis which was still going the wrong way. Some robots may now need parameter negate_joint_movement inverted
  * Some tidy up
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-urdf-traverser (1.0.1-0trusty) trusty; urgency=high

  * Changed to BSD 3-clause license
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Aug 2016 22:00:00 -0000

ros-indigo-urdf-traverser (1.0.0-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 06 Jun 2016 22:00:00 -0000

ros-indigo-urdf-traverser (0.0.4-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Sun, 05 Jun 2016 22:00:00 -0000

ros-indigo-urdf-traverser (0.0.3-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 03 Jun 2016 22:00:00 -0000

ros-indigo-urdf-traverser (0.0.1-0trusty) trusty; urgency=high

  * urdf2inventor now copies textures for the whole model as well
  * Now exports textures to file for individual meshes, working on getting it to work with overall robot
  * Now can use material from URDF too
  * Added urdf2inventor and urdf_viewer
  * All traversal callbacks and functionality moved to separate files outside UrdfTraverser. UrdfTraverser now clean.
  * Moved more functions out of UrdfTraverser and into callbacks
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 30 May 2016 22:00:00 -0000
